#pragma once
#include "Entity.h"
#define CS_AMNEKOPUNCH_CREATENAME L"CS_am_nekopunch"
//monsterXèèȭ
class CS_AmNekoPunch :
    public ActionEntity
{
public:
    CS_AmNekoPunch(std::shared_ptr<Entity> parent);
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    int warning_count = 60;
    int attackTime = 0;
};

std::shared_ptr<Entity> CreateCS_AmNekoPunch();